#ifndef INC_INFO_H
#define INC_INFO_H

#include "coord.h"

class Panel {
    protected:
	Coord screenTopleft;
	int w;
	int h;

    public:
	void setGeom(Coord i_screenTopleft, int i_w, int i_h) {
	    screenTopleft=i_screenTopleft; w=i_w; h=i_h; draw(); }
	virtual void draw() {}
	virtual ~Panel() {}
};
class InfoPanel : public Panel {
    public:
	void draw();
};
class HelpPanel : public Panel {
    public:
	void draw();
};

class Indicators {
    Coord s, e;
    bool goalSet;
    Coord goal;

    public:
	void setGeom(Coord i_s, Coord i_e) { s=i_s; e=i_e; draw(); }
	void draw();
};

extern InfoPanel infoPanel;
extern HelpPanel helpPanel;

extern Indicators indicators;

#endif /* INC_INFO_H */
